MODULE PTRFPB2

USE PARKIND1  ,ONLY : JPIM

USE PARFPOS, ONLY : JPOSPHY

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Auxilary surface grid point fields used for pre - post-processing

!     MAFPTR : Field pointers (fixed dimension)
!     MFPVT0 : internal codes of auxilary surface grid point fields
!     NFPVT0 : Number of Auxilary 'surface' grid point fields
!     NFP2SX1: Effective number of field expected by the externalized M-F
!              surface scheme ("SURFEX")
!     MFP2SX1: Pointers of the field expected by SURFEX in the 
!              post-processing buffer
!     CFP2SX1: "SURFEX" fields names

INTEGER(KIND=JPIM) :: MAFPTR(JPOSPHY)

INTEGER(KIND=JPIM), ALLOCATABLE :: MFPVT0(:)
INTEGER(KIND=JPIM), ALLOCATABLE :: MFP2SX1(:)

CHARACTER(LEN=8),  ALLOCATABLE :: CFP2SX1(:)

INTEGER(KIND=JPIM) :: NFPVT0
INTEGER(KIND=JPIM) :: NFP2SX1

!     ------------------------------------------------------------------
END MODULE PTRFPB2
